Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JDBCConnectionPoolRuntimeMBean

All Superinterfaces:
  ComponentRuntimeMBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0 Replaced by `JDBCDataSourceRuntimeMBean`

public interface JDBCConnectionPoolRuntimeMBean
extends ComponentRuntimeMBean

This class is used for monitoring a WebLogic JDBC component

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe inteface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, `MBeanHome` inteface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` inteface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.runtime.ComponentRuntimeMBean
`ACTIVATED, NEW, PREPARED, UNPREPARED`

Method Summary
`void` | `clearStatementCache()` Deprecated. Clears the cache of Prepared and Callable Statements maintained for each connection in the connection pool.
`void` | `disableDroppingUsers()` Deprecated. Disable the pool, immediately disconnecting all users.
`void` | `disableFreezingUsers()` Deprecated. Disable the pool, suspending all operations on pool connections until the pool is re-enabled.
`void` | `dumpPool()` Deprecated. Prints out the data structure of the connection pool in the following lists: alvList - lists details about database connections in the connection pool that are not currently in use by a client. unavlList - lists details about database connections that WebLogic Server failed to create on server startup or failed to recreate after a failed database connection test. resvList - lists details about database connections in teh connection pool that are currently in use by a client.
`void` | `enable()` Deprecated. Restore all access to and operations on the pool.
`void` | `forceShutdown()` Deprecated. Forcibly shuts down the connection pool.
`void` | `forceSuspend()` Deprecated. Forcibly disables the pool, suspending all operations on pool connections until the pool is re-enabled.
`int` | `getActiveConnectionsAverageCount()` Deprecated.
`int` | `getActiveConnectionsCurrentCount()` Deprecated.
`int` | `getActiveConnectionsHighCount()` Deprecated.
`int` | `getConnectionDelayTime()` Deprecated.
`int` | `getConnectionLeakProfileCount()` Deprecated. Connection leak is a situation when connection from the pool was not closed explicitly by calling close() and was garbage collected.
`JDBCConnectionLeakProfile[]` | `getConnectionLeakProfiles(int index, int count)` Deprecated. Connection leak profiling stores stack trace at the time when connection was created in case of connection leak.
`int` | `getConnectionsTotalCount()` Deprecated. The total number of JDBC connections in this `JDBCConnectionPoolRuntimeMBean` since the pool has been instantiated.
`int` | `getCurrCapacity()` Deprecated. The current capacity of this connection pool.
`int` | `getFailuresToReconnectCount()` Deprecated.
`int` | `getHighestNumAvailable()` Deprecated. The highest number of available connections in this pool.
`int` | `getHighestNumUnavailable()` Deprecated. The highest number of unavailable connections in this pool.
`int` | `getLeakedConnectionCount()` Deprecated.
`int` | `getMaxCapacity()` Deprecated. The maximum capacity of this connection pool.
`int` | `getNumAvailable()` Deprecated. The number of available connections in this pool.
`int` | `getNumUnavailable()` Deprecated. The number of unavailable connections in this pool.
`boolean` | `getPoolState()` Deprecated.
`Properties` | `getProperties()` Deprecated. Returns the properties for a pool.
`String` | `getState()` Deprecated. The current state of the connection pool.
`int` | `getStatementProfileCount()` Deprecated. SQL roundtrip profiling stores SQL statement text, execution time and other metrics.
`JDBCStatementProfile[]` | `getStatementProfiles(int index, int count)` Deprecated. SQL roundtrip profiling stores SQL statement text, execution time and other metrics.
`String` | `getVersionJDBCDriver()` Deprecated.
`int` | `getWaitingForConnectionCurrentCount()` Deprecated.
`int` | `getWaitingForConnectionHighCount()` Deprecated.
`int` | `getWaitSecondsHighCount()` Deprecated.
`boolean` | `isEnabled()` Deprecated.
`boolean` | `poolExists(String poolName)` Deprecated. Indicates whether the specified pool exists.
`void` | `reset()` Deprecated. Resets the connection pool by shutting down and reestablishing all the pool connections.
`void` | `resetConnectionLeakProfile()` Deprecated. Resets connection leak profile.
`void` | `resetStatementProfile()` Deprecated. Resets SQL statement profile.
`void` | `resume()` Deprecated. Restores all access to and operations on a connection pool that has been suspended (marked as disabled).
`void` | `shrink()` Deprecated. Shrinks the named database ConnectionPool to the max of the currently reserved connections or the initial size.
`void` | `shutdown()` Deprecated. Shuts down the pool.
`void` | `suspend()` Deprecated. Disables the connection pool, suspending all operations on pool connections until the pool is re-enabled.
`String` | `testPool()` Deprecated. Test the pool by reserving and releasing a connection from it.

Methods inherited from interface weblogic.management.runtime.ComponentRuntimeMBean
`getDeploymentState, getModuleId, getWorkManagerRuntimes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### clearStatementCache

    public void clearStatementCache()
                             throws Exception

  Deprecated.

  Clears the cache of Prepared and Callable Statements maintained for each connection in the connection pool.

  Throws:
    `Exception` - if there is an error

### disableDroppingUsers

    public void disableDroppingUsers()
                              throws Exception

  Deprecated.

  Disable the pool, immediately disconnecting all users.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error
  See Also:
    `forceSuspend()`

### disableFreezingUsers

    public void disableFreezingUsers()
                              throws Exception

  Deprecated.

  Disable the pool, suspending all operations on pool connections until the pool is re-enabled.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error
  See Also:
    `suspend()`

### dumpPool

    public void dumpPool()
                  throws Exception

  Deprecated.

  Prints out the data structure of the connection pool in the following lists:

  - alvList - lists details about database connections in the connection pool that are not currently in use by a client.
  - unavlList - lists details about database connections that WebLogic Server failed to create on server startup or failed to recreate after a failed database connection test.
  - resvList - lists details about database connections in teh connection pool that are currently in use by a client.

  Throws:
    `Exception`

### enable

    public void enable()
                throws Exception

  Deprecated.

  Restore all access to and operations on the pool.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error
  See Also:
    `resume()`

### forceShutdown

    public void forceShutdown()
                       throws Exception

  Deprecated.

  Forcibly shuts down the connection pool. All current users of the pool are forcibly disconnected.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### forceSuspend

    public void forceSuspend()
                      throws Exception

  Deprecated.

  Forcibly disables the pool, suspending all operations on pool connections until the pool is re-enabled. All current users of the pool are forcibly disconnected. All connections currently in use are closed and recreated.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### getActiveConnectionsAverageCount

    public int getActiveConnectionsAverageCount()

  Deprecated.
  Returns:
    The running average of active connections in this JDBCConnectionPoolRuntimeMBean. The count starts at zero each time the JDBCConnectionPoolRuntimeMBean is instantiated.

### getActiveConnectionsCurrentCount

    public int getActiveConnectionsCurrentCount()

  Deprecated.
  Returns:
    Current total number of active connections.

### getActiveConnectionsHighCount

    public int getActiveConnectionsHighCount()

  Deprecated.
  Returns:
    The high water mark of active connections in this JDBCConnectionPoolRuntimeMBean. The count starts at zero each time the JDBCConnectionPoolRuntimeMBean is instantiated.

    Note that this is an optimization method for a highly useful statistic that could be implemented less efficiently using change notification.

### getConnectionDelayTime

    public int getConnectionDelayTime()

  Deprecated.
  Returns:
    Averaged time necessary to get a connection from the database. This is how long it takes to get physical connection from database. It is calculated as summary time to connect divided by summary number of connections. Return value is milliseconds.

### getConnectionLeakProfileCount

    public int getConnectionLeakProfileCount()

  Deprecated.

  Connection leak is a situation when connection from the pool was not closed explicitly by calling close() and was garbage collected.

  This method should be used first before requesting connection leak profiles from the profile storage.

  Returns:
    Number of the connection leak profiles in profile storage.

### getConnectionLeakProfiles

    public JDBCConnectionLeakProfile[] getConnectionLeakProfiles(int index,
                                                                 int count)

  Deprecated.

  Connection leak profiling stores stack trace at the time when connection was created in case of connection leak. This enables you to identify where the leak occurred.

  Connection leak is a situation when connection from the pool was not closed explicitly by calling close() and was garbage collected.

  Returns:
    Connection leak profiles starting from this index. Number of returned profiles depends on factual number of profiles in the profile storage.
  See Also:
    `JDBCConnectionLeakProfile`

### getConnectionsTotalCount

    public int getConnectionsTotalCount()

  Deprecated.

  The total number of JDBC connections in this `JDBCConnectionPoolRuntimeMBean` since the pool has been instantiated.

### getCurrCapacity

    public int getCurrCapacity()

  Deprecated.

  The current capacity of this connection pool.

### getFailuresToReconnectCount

    public int getFailuresToReconnectCount()

  Deprecated.
  Returns:
    Number of cases when a connection pool attempted to refresh a connection to a database and failed. Failure may happen because of database unavailablity or broken connection to the database.

### getHighestNumAvailable

    public int getHighestNumAvailable()

  Deprecated.

  The highest number of available connections in this pool.

### getHighestNumUnavailable

    public int getHighestNumUnavailable()

  Deprecated.

  The highest number of unavailable connections in this pool.

### getLeakedConnectionCount

    public int getLeakedConnectionCount()

  Deprecated.
  Returns:
    Number of leaked connections. Leaked connection is a connection that was checked out from the connection pool but was not returned to the pool by calling close ().

### getMaxCapacity

    public int getMaxCapacity()

  Deprecated.

  The maximum capacity of this connection pool.

### getNumAvailable

    public int getNumAvailable()

  Deprecated.

  The number of available connections in this pool.

### getNumUnavailable

    public int getNumUnavailable()

  Deprecated.

  The number of unavailable connections in this pool.

### getPoolState

    public boolean getPoolState()

  Deprecated.
  Returns:
    Current state of the connection pool. `true` if the pool enabled. `false` if the pool disabled

### getProperties

    public Properties getProperties()
                             throws Exception

  Deprecated.

  Returns the properties for a pool.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### getState

    public String getState()

  Deprecated.

  The current state of the connection pool.

  Possible values are:

  - `Running`

    if the pool is enabled (deployed and not SUSPENDED). This is the normal state of the connection pool.

  - `Suspended`

    if the pool disabled.

  - `Shutdown`

    if the pool is shutdown and all database connections have been closed.

  - `Unknown`

    if the pool state is unknown.

  - `Unhealthy`

    if all connections are unavailable (not because they are in use). This state occurs if the database server is unavailable when the connection pool is created (creation retry must be enabled) or if all connections have failed connection tests (on creation, on reserve, on release, or periodic testing).

  Returns:
    Current state of the connection pool.

### getStatementProfileCount

    public int getStatementProfileCount()

  Deprecated.

  SQL roundtrip profiling stores SQL statement text, execution time and other metrics.

  This method should be used first before requesting SQL statement profiles from the profile storage.

  Returns:
    Number of the SQL statement profiles in profile storage.

### getStatementProfiles

    public JDBCStatementProfile[] getStatementProfiles(int index,
                                                       int count)

  Deprecated.

  SQL roundtrip profiling stores SQL statement text, execution time and other metrics.

  Returns:
    Statement profiles starting from this index. Number of returned profiles depends on factual number of profiles in the profile storage.
  See Also:
    `JDBCStatementProfile`

### getVersionJDBCDriver

    public String getVersionJDBCDriver()

  Deprecated.
  Returns:
    Version of the JDBC driver, in the format of concatenating the Driver class name with 'major: XX, minor: YY'.

### getWaitingForConnectionCurrentCount

    public int getWaitingForConnectionCurrentCount()

  Deprecated.
  Returns:
    Current total number waiting for a connection.

### getWaitingForConnectionHighCount

    public int getWaitingForConnectionHighCount()

  Deprecated.
  Returns:
    The high water mark of waiters for a connection in this JDBCConnectionPoolRuntimeMBean. The count starts at zero each time the JDBCConnectionPoolRuntimeMBean is instantiated.

    Note that this is an optimization method for a highly useful statistic that could be implemented less efficiently using change notification.

### getWaitSecondsHighCount

    public int getWaitSecondsHighCount()

  Deprecated.
  Returns:
    The number of seconds the longest waiter for a connection waited.

### isEnabled

    public boolean isEnabled()

  Deprecated.
  Returns:
    Boolean indicating pool is enabled or disabled. `true` if the pool is enabled. `false` if the pool is disabled.

### poolExists

    public boolean poolExists(String poolName)
                       throws Exception

  Deprecated.

  Indicates whether the specified pool exists.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### reset

    public void reset()
               throws Exception

  Deprecated.

  Resets the connection pool by shutting down and reestablishing all the pool connections. This method should be used when the connection pool is in a bad state and needs to be reinitialized.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### resetConnectionLeakProfile

    public void resetConnectionLeakProfile()

  Deprecated.

  Resets connection leak profile.

### resetStatementProfile

    public void resetStatementProfile()

  Deprecated.

  Resets SQL statement profile.

### resume

    public void resume()
                throws Exception

  Deprecated.

  Restores all access to and operations on a connection pool that has been suspended (marked as disabled).

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### shrink

    public void shrink()
                throws Exception

  Deprecated.

  Shrinks the named database ConnectionPool to the max of the currently reserved connections or the initial size.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### shutdown

    public void shutdown()
                  throws Exception

  Deprecated.

  Shuts down the pool. If any connections from the pool are currently in use, the operation will fail.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### suspend

    public void suspend()
                 throws Exception

  Deprecated.

  Disables the connection pool, suspending all operations on pool connections until the pool is re-enabled.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    `Exception` - if there is an error

### testPool

    public String testPool()

  Deprecated.

  Test the pool by reserving and releasing a connection from it. If the pool configuration attribute TestConnectionsOnReserve or TestConnectionsOnRelease is enabled, the acquired connection is also tested as part of the reserve and release operation.

  Returns:
    returns null upon success, else returns stacktrace
  See Also:
    `JDBCConnectionPoolMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD